Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.annotations
Annotation Type CollectionType

    @Target(value={FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface CollectionType

Names a custom collection type for a persistent collection.

See Also:
  `CollectionType`, `UserCollectionType`

Required Element Summary
`String` | `type` Names the type (either `CollectionType` or `UserCollectionType` implementation class.

Optional Element Summary
`Parameter[]` | `parameters` Specifies configuration information for the type.

Element Detail

### type

    public abstract String type

  Names the type (either `CollectionType` or `UserCollectionType` implementation class. Could also name a custom type defined via a `@TypeDef`

  Returns:
    The implementation class to use.

### parameters

    public abstract Parameter[] parameters

  Specifies configuration information for the type. Note that if the named type is a `UserCollectionType`, it must also implement `ParameterizedType` in order to receive these values.

  Returns:
    The configuration parameters.
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.